"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTesintExtractor = void 0;
const extractor_1 = require("../extractor");
const testing_language_service_1 = require("../../ts-ast-util/testing/testing-language-service");
const ts_ast_util_1 = require("../../ts-ast-util");
function createTesintExtractor(files, removeDuplicatedFragments = false) {
    const { languageService, languageServiceHost } = (0, testing_language_service_1.createTestingLanguageServiceAndHost)({ files });
    const extractor = new extractor_1.Extractor({
        removeDuplicatedFragments,
        scriptSourceHelper: (0, ts_ast_util_1.createScriptSourceHelper)({ languageService, languageServiceHost }),
        debug: () => { },
    });
    return extractor;
}
exports.createTesintExtractor = createTesintExtractor;
//# sourceMappingURL=testing-extractor.js.map