"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectDuplicatedFragments = void 0;
function detectDuplicatedFragments(documentNode) {
    const fragments = [];
    const duplicatedFragments = [];
    documentNode.definitions.forEach(def => {
        if (def.kind === 'FragmentDefinition') {
            if (fragments.some(f => f.name.value === def.name.value)) {
                duplicatedFragments.push(def);
            }
            else {
                fragments.push(def);
            }
        }
    });
    return duplicatedFragments
        .map(def => {
        return {
            name: def.name.value,
            start: def.loc.start,
            end: def.loc.end,
        };
    })
        .sort((a, b) => b.start - a.start);
}
exports.detectDuplicatedFragments = detectDuplicatedFragments;
//# sourceMappingURL=index.js.map