"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.location2pos = exports.pos2location = void 0;
function pos2location(content, pos) {
    let l = 0, c = 0;
    for (let i = 0; i < content.length && i < pos; i++) {
        const cc = content[i];
        if (cc === '\n') {
            c = 0;
            l++;
        }
        else {
            c++;
        }
    }
    return { line: l, character: c };
}
exports.pos2location = pos2location;
function location2pos(content, location) {
    let il = 0, ic = 0;
    for (let i = 0; i < content.length; i++) {
        const cc = content[i];
        if (il === location.line) {
            if (ic === location.character) {
                return i;
            }
        }
        if (cc === '\n') {
            ic = 0;
            il++;
        }
        else {
            ic++;
        }
    }
    return content.length;
}
exports.location2pos = location2pos;
//# sourceMappingURL=position-converter.js.map